local debug = false
--[===[@alpha@
debug = true
--@end-alpha@]===]
local L = LibStub("AceLocale-3.0"):GetLocale("AchScreenshotter2", not debug)

local mod = AchScreenshotter2
local addonname = "AchScreenShotter2"

-- @usage prueft selber nichts
function AchScreenshotter2:achievement_function()
  mod:take_screenshot("achievement", mod.sv.achievement.hideui, mod.sv.delay)
end

function AchScreenshotter2:getachievementoptions()
  local version = GetAddOnMetadata(addonname, "X-Curse-Packaged-Version") or ""
  local achievementoptions = {
        name = L["Achievement"].." "..version,
        type = "group",
        --desc = L["achievement options"],
        args = {
          achievement_enable = {
            name = L["achievement enable"],
            type = "toggle",
            order = 11,
            desc = L["achievement enable desc"],
            get = function() return mod.sv.achievement.enable end,
            set = function(_, val)
              mod.sv.achievement.enable = val
              mod:RefreshConfig()
              end,
            },
          hideui ={
            name = L["hideui enable"],
            type = "toggle",
            order = 12,
            desc = L["hideui desc"],
            get = function() return mod.sv.achievement.hideui end,
            set = function(_, val)
              mod.sv.achievement.hideui = val
              end,
            }
          }
        }
return achievementoptions
end