local debug = false
--[===[@alpha@
debug = true
--@end-alpha@]===]
local L = LibStub("AceLocale-3.0"):GetLocale("AchScreenshotter2", not debug)

local mod = AchScreenshotter2
local addonname = "AchScreenShotter2"

-- @usage wenn die lfg gruppe fertig ist
-- @usage prueft auch ob die instanz eine hero oder nicht war
function AchScreenshotter2:dungeon_function()
  local difficulty = GetDungeonDifficulty()
  if (not mod.sv.dungeon.onlyhero) or (difficulty == 2) then -- auf hero oder normal
    mod:take_screenshot("dungeon", mod.sv.dungeon.hideui, mod.sv.delay)
  end
end

function AchScreenshotter2:getdungeonoptions()
  local version = GetAddOnMetadata(addonname, "X-Curse-Packaged-Version") or ""
  local dungeonoptions = {
        name = L["Dungeon"].." "..version,
        type = "group",
        --desc = L["dungeon options"],
        args = {
          dungeon = {
            name = L["dungeon enable"],
            type = "toggle",
            order = 51,
            desc = L["dungeon enable desc"],
            get = function() return mod.sv.dungeon.enable end,
            set = function(_, val)
              mod.sv.dungeon.enable = val
              mod:RefreshConfig()
              end,
            },
          hideui ={
            name = L["hideui enable"],
            type = "toggle",
            order = 52,
            desc = L["hideui desc"],
            get = function() return mod.sv.bg.hideui end,
            set = function(_, val)
              mod.sv.bg.hideui = val
              end,
            },
          header = {
            name = L["misc"],
            type = "header",
            order = 53,
          },
          dungeon_onlyhero = {
            name = L["dungeon hero only"],
            type = "toggle",
            order = 54,
            desc = L["dungeon hero only desc"],
            get = function() return mod.sv.dungeon.onlyhero end,
            set = function(_, val)
              mod.sv.dungeon.onlyhero = val
              end,
            },
          }
        }
return dungeonoptions
end